### Function

# GObject strdup_value_contents

since: 2.0

#### Declaration

    gchar*
    g_strdup_value_contents (
      const GValue* value
    )

#### Description

Return a newly allocated string, which describes the contents of a `GValue`. The main purpose of this function is to describe `GValue` contents for debugging output, the way in which the contents are described may change between different GLib versions.

Available since: 2.0

#### Parameters

`value`

  Type: `GValue`

  `GValue` which contents are to be described.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

Newly allocated string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.